> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.meetstream.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.meetstream.ai/_mcp/server.

# Get Stop Status

GET https://api.meetstream.ai/api/v1/bots/{bot_id}/stop_status

Check the progress of a stop request without stopping the bot again: requested, acknowledged, stopped, force-stopped or failed.

Reference: https://docs.meetstream.ai/api-reference/api-endpoints/bot-endpoints/get-stop-status

## Authentication

- `Authorization` header (required) (prefixed with ` Token  `) — Format: Token \<your\_api\_key>

## Request

### Path parameters

- `bot_id` (string, required)

## Response

### 200

Success

- `bot_id` (string, optional)
- `status` (enum, optional) — State of the stop request.
  - Allowed values: `not_requested`, `stop_requested`, `acknowledged`, `graceful_exit_in_progress`, `stopped`, `force_stopped`, `failed`, `cancelled`
- `bot_status` (string, optional) — The bot's own lifecycle status, or `Unknown`.
- `control_request_id` (string, optional) — Id of the stop request, once one has been issued.
- `requested_at` (integer, optional) — Unix epoch seconds.
- `acknowledged_at` (integer, optional) — Unix epoch seconds.
- `completed_at` (integer, optional) — Unix epoch seconds.
- `reason` (string, optional)

## Errors

### 404 Not Found Error

Bot not found (also returned for a bot that belongs to another account).

- `error` (string, optional)

## Examples

**Response**

```json
{
  "bot_id": "4a25ad1f-2266-4cd3-aff0-76f9da05d1d1",
  "status": "stopped",
  "bot_status": "Stopped",
  "control_request_id": "5c1e2f4a-8b7d-4c3e-9f1a-0d2b3c4e5f6a",
  "requested_at": 1790000000,
  "acknowledged_at": 1790000001,
  "completed_at": 1790000004
}
```

**SDK Code**

```python Bots_getStopStatus_example
import requests

url = "https://api.meetstream.ai/api/v1/bots/bot_id/stop_status"

headers = {"Authorization": "Token <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Bots_getStopStatus_example
const url = 'https://api.meetstream.ai/api/v1/bots/bot_id/stop_status';
const options = {method: 'GET', headers: {Authorization: 'Token <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Bots_getStopStatus_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.meetstream.ai/api/v1/bots/bot_id/stop_status"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Token <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Bots_getStopStatus_example
require 'uri'
require 'net/http'

url = URI("https://api.meetstream.ai/api/v1/bots/bot_id/stop_status")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Token <apiKey>'

response = http.request(request)
puts response.read_body
```

```java Bots_getStopStatus_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.meetstream.ai/api/v1/bots/bot_id/stop_status")
  .header("Authorization", "Token <apiKey>")
  .asString();
```

```php Bots_getStopStatus_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.meetstream.ai/api/v1/bots/bot_id/stop_status', [
  'headers' => [
    'Authorization' => 'Token <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Bots_getStopStatus_example
using RestSharp;

var client = new RestClient("https://api.meetstream.ai/api/v1/bots/bot_id/stop_status");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Token <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Bots_getStopStatus_example
import Foundation

let headers = ["Authorization": "Token <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.meetstream.ai/api/v1/bots/bot_id/stop_status")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```